Making HYPE library work

edited March 26 in Library Questions

Hi, I'm trying to install HYPE library. I:

1) Downloaded zip from https://github.com/hype/HYPE_Processing/tree/lib_staging and unzipped it

2) Created libraries subfolder in my processing-3.3.7 folder and moved unzipped hype folder into it

3) Restarted Sublime and tried to run build.xml in the Resources folder (does "run" mean just opening this file?)

When I try to launch any of HYPE example classes, I'm getting No library found for hype error.

How do I make HYPE work? Processing 3.3.7, Sublime 3, Ubuntu 16.04.4 LTS.

Tagged:

Answers

  • You should be able to get HYPE setup up the way that you mentioned, but HYPE is now part of they Processing hosted libraries. So if you have the Processing IDE installed, you can import your library that way. Their should have already been a libraries folder installed when you installed Processing, so make sure that HYPE is inside of that folder.

  • If you want to get it working for the PDE, follow this instructions: https://github.com/processing/processing/wiki/How-to-Install-a-Contributed-Library

    I will do this before I get it going in sublime. Notice doing this might not be sufficient to get it going in Sublime so you will need to look into sublime docs.

    Kf

Sign In or Register to comment.